function gMask=gaussianMask(sigma)
% make a 1D Gaussian mask with
% standard deviation 'sigma'
% extent of the mask should be
% +-3 standard deviations
%
% Author: Nazar Khan (PUCIT)
% Date: December 2015

% form a Gaussian mask for smoothing in 1D
sHalf = 3*ceil(sigma);
gMask = 1/(sigma*sqrt(2*pi)) * exp(-((-sHalf:sHalf).^2)./(2*sigma^2));  %+-3 standard deviations