clear all;
close all;
names={'sphere.pgm','army.png','teddy.png','backyard.png'};
alphas=[.01 .1 1 10];
num_iterations=[1 100 600];
for i=1:length(names)
    name=names{i};
    im1=imread([name(1:end-4) '1' name(end-3:end)]);
    im2=imread([name(1:end-4) '2' name(end-3:end)]);
    if ndims(im1)==3
        im1=rgb2gray(im1);
        im2=rgb2gray(im2);
    end
    im1=myAffineRescaling(double(im1),1);
    im2=myAffineRescaling(double(im2),1);
    res=[];
    for a=1:length(alphas)
        alpha=alphas(a);
        visualisation = compute_optic_flow_hs(im1,im2,alpha,num_iterations);
        res=[res; visualisation];
    end
    imagesc(res); axis image; drawnow;
    imwrite(res,[name(1:end-4) '_results_hs.png']);
end