clear all;
close all;
names={'sphere.pgm','army.png','teddy.png','backyard.png'};
rhos=[1 4 8];
for i=1:length(names)
    name=names{i};
    im1=imread([name(1:end-4) '1' name(end-3:end)]);
    im2=imread([name(1:end-4) '2' name(end-3:end)]);
    if ndims(im1)==3
        im1=rgb2gray(im1);
        im2=rgb2gray(im2);
    end
    im1=myAffineRescaling(double(im1),1);
    im2=myAffineRescaling(double(im2),1);
    res=repmat([im1 im2],[1 1 3]);
    for r=1:length(rhos)
        rho=rhos(r);
        [visualisation,classification] = compute_optic_flow_lk(im1,im2,rho);
        res=[res; [repmat(classification,[1 1 3]) visualisation]];
    end
    imagesc(res); axis image; drawnow;
    imwrite(res,[name(1:end-4) '_results_lk.png']);
end