function im=visualise_optic_flow(u,v)
% Visualise optic flow field represented 
% in 2D arrays 'u' and 'v' by mapping
% flow direction to the H channel and
% flow magnitude to the V channel 
% of the HSV color space.
% 'im' contains the resulting false color
% representation of the flow field in 
% arrays 'u', 'v'.
%
% Author: Nazar Khan (PUCIT)
% Date: December 2015

%compute flow magnitude at every pixel
m=--------ADD_CODE_HERE--------
%normalise magnitude values to lie between 0 and 1 
m=myAffineRescaling(m,1);

%compute flow direction at every pixel in the range -pi to pi
theta=--------ADD_CODE_HERE--------
%map range of direction values from 0 to 2*pi
theta(theta<0)=theta(theta<0) + --------ADD_CODE_HERE--------
%normalise direction values to lie between 0 and 1
theta=--------ADD_CODE_HERE--------

%create an empty HSV image
hsv=ones(size(u,1),size(u,2),3);
%store direction values in H channel
hsv(:,:,1)=--------ADD_CODE_HERE--------
%use constant S channel value of 1.
hsv(:,:,2)=1;
%store magnitude values in V channel
hsv(:,:,3)=--------ADD_CODE_HERE--------
%convert to RGB
im=hsv2rgb(hsv);
%imagesc(im); axis image;